Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

FactionsPro-Modded Issue

Comments in 'Plugin Development' started by Ishan, Jul 9, 2016.

  1. Ishan
    Offline

    Ishan Active Member

    Joined:
    Apr 1, 2015
    Posts:
    99
    Minecraft User:
    Ishannaik
    can someone fix this for me
    PHP:
     [09:53:49] [Server thread/CRITICAL]: "Could not pass event 'pocketmine\event\player\PlayerChatEvent' to 'PureChat v1.4.0': Call to undefined method FactionsPro\FactionMain::getSession() on _64FF00\PureChat\PCListener
    [09:53:49] [Server thread/CRITICAL]: Error: "
    Call to undefined method FactionsPro\FactionMain::getSession()" (EXCEPTION) in "/PureChat_v1.4.0.phar/src/_64FF00/PureChat/factions/FactionsProNew" at line 37
  2. Primus
    Offline

    Primus Notable Member

    Joined:
    Apr 7, 2015
    Posts:
    1,470
    Minecraft User:
    PrimusLV
    We have nothing to fix :confused:
    ImagicalGamer and PocketKiller like this.
  3. Ishan
    Offline

    Ishan Active Member

    Joined:
    Apr 1, 2015
    Posts:
    99
    Minecraft User:
    Ishannaik
    the file

    Attached Files:

  4. Primus
    Offline

    Primus Notable Member

    Joined:
    Apr 7, 2015
    Posts:
    1,470
    Minecraft User:
    PrimusLV
    You are using ConflictPE factions plugin? FactionsPro always were stupid plugin but users really don't get it.
  5. Ishan
    Offline

    Ishan Active Member

    Joined:
    Apr 1, 2015
    Posts:
    99
    Minecraft User:
    Ishannaik
    idk i got it on youtube can you fix the issue??
  6. WillBoxGaming
    Offline

    WillBoxGaming New Member

    Joined:
    Aug 12, 2015
    Posts:
    9
    Minecraft User:
    WillBoxGaming
    I don't know... It looks like that the plugin who is causing the crash is PureChat! Just delete/move the PureChat config, it will generate a new one. Restart/Reload the server. I think the server should run okay!
  7. XShockinFireX
    Offline

    XShockinFireX New Member

    Joined:
    Jan 28, 2016
    Posts:
    14
    Minecraft User:
    XShockinFireX
    Change the version in the plugin.yml to 1.3.6, that way PureChat will use the old FactionsPro API to function.
    Ishan likes this.
  8. Ishan
    Offline

    Ishan Active Member

    Joined:
    Apr 1, 2015
    Posts:
    99
    Minecraft User:
    Ishannaik
    thanks
  9. Thunder33345
    Offline

    Thunder33345 Notable Member

    Joined:
    Apr 3, 2014
    Posts:
    755
    Minecraft User:
    Thunder33345
    well maybe soon just hire someone to make you a fac plugin
    Ishan likes this.
  10. Legoboy0215
    Offline

    Legoboy0215 Notable Member

    Joined:
    Nov 1, 2014
    Posts:
    1,724
    Minecraft User:
    Legoboy0215
    The PureChat plugin is having issues. Someone needs to update it.
  11. Thunder33345
    Offline

    Thunder33345 Notable Member

    Joined:
    Apr 3, 2014
    Posts:
    755
    Minecraft User:
    Thunder33345
    but i dont think it is pure chat fault for not properly supporting a plugin it should be the other way around where purechat provide API for ANY plugin to use not writing specific supports
    XShockinFireX likes this.
  12. Ishan
    Offline

    Ishan Active Member

    Joined:
    Apr 1, 2015
    Posts:
    99
    Minecraft User:
    Ishannaik
    yep

Share This Page

Advertisement